Subject: bug#45402: 28.0.50; new completion inconvenience

From: Michael Albinus <[email-masked]>
Date: Sat, 26 Dec 2020 11:28:43 +0100

Richard Stallman <[email-masked]> writes:

Hi Richard,

>   > The mount protocols are different depending on the device, they could be
>   > "mtp" or "gphoto2". In order to hide these details, I have chosen the
>   > Tramp connection method "media", which DTRT for whichever protocol. What
>   > different Tramp connection name shall I use instead? I'm notorious bad
>   > in selecting proper names.
>
> How about /device: ?

Yes, that was something I took into account when I'vge created
"/media:". However, people typing "/dev TAB" will also be annoyed,
because it could complete to "/dev/" and to "/device:".

Meanwhile, I'm discussing with myself, whether "/mtp:" is acceptable. It
is the superior protocol. I hope I will win the discussion :-)

Best regards, Michael.